Package org.eclipse.cdt.core.dom.rewrite

# Class DeclarationGenerator

java.lang.Object
org.eclipse.cdt.core.dom.rewrite.DeclarationGenerator

public abstract class DeclarationGenerator extends Object
This class handles the creation of `IASTDeclarator`s and `IASTDeclSpecifier`s for a given type.

Since:
  5.3
Restriction:
  This interface is not intended to be extended by clients.

## Constructor Summary

Constructors
Constructor
Description
`DeclarationGenerator()`

## Method Summary

Modifier and Type
Method
Description
`static DeclarationGenerator`
`create(INodeFactory factory)`
`abstract IASTDeclarator`
`createDeclaratorFromType(IType type, char[] name)`
Creates a new `IASTDeclarator` for a given `IType`.
`abstract IASTDeclSpecifier`
`createDeclSpecFromType(IType type)`
Creates a new `IASTDeclSpecifier` for a given `IType`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeclarationGenerator

public DeclarationGenerator()

## Method Details

### create

public static DeclarationGenerator create(INodeFactory factory)

### createDeclSpecFromType

public abstract IASTDeclSpecifier createDeclSpecFromType(IType type)
Creates a new `IASTDeclSpecifier` for a given `IType`.

Parameters:
  `type` - the type to describe
Returns:
  the generated declaration specifier

### createDeclaratorFromType

public abstract IASTDeclarator createDeclaratorFromType(IType type, char[] name)
Creates a new `IASTDeclarator` for a given `IType`.

Parameters:
  `type` - the type to describe
  `name` - the name for the declarator
Returns:
  the generated declarator